Bug 885857 - Candlepin 0.7.21 fails to install
Candlepin 0.7.21 fails to install
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: candlepin (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Devan Goodwin
sthirugn@redhat.com
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-12-10 15:00 EST by Jordan OMara
Modified: 2014-11-09 17:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 13:25:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jordan OMara 2012-12-10 15:00:20 EST
After running katello-configure, candlepin fails to initialize:

java.lang.IllegalStateException: ContainerBase.addChild: start: LifecycleException:  start: :
                java.io.IOException: Failed to access resource /WEB-INF/lib/antlr.jar
Comment 2 Jesus M. Rodriguez 2012-12-11 16:09:42 EST
Fixed in 0.7.22
Comment 3 sthirugn@redhat.com 2013-02-11 11:08:00 EST
Validated in SAM composes from Jan 23 and Feb 7.  The SAM installation and katello-configure were successful with the following Candlepin version.

candlepin-0.7.23-1.el6_3.noarch

Version Tested:
Jan 23 Compose:
* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-12h.el6_3.noarch
* katello-cli-common-1.2.1-12h.el6_3.noarch
* katello-common-1.2.1-15h.el6_3.noarch
* katello-configure-1.2.3-3h.el6_3.noarch
* katello-glue-candlepin-1.2.1-15h.el6_3.noarch
* katello-headpin-1.2.1-15h.el6_3.noarch
* katello-headpin-all-1.2.1-15h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch

Feb 7 Compose:
* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-12h.el6_3.noarch
* katello-cli-common-1.2.1-12h.el6_3.noarch
* katello-common-1.2.1-15h.el6_3.noarch
* katello-configure-1.2.3-3h.el6_3.noarch
* katello-glue-candlepin-1.2.1-15h.el6_3.noarch
* katello-headpin-1.2.1-15h.el6_3.noarch
* katello-headpin-all-1.2.1-15h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 4 sthirugn@redhat.com 2013-02-11 12:11:51 EST
Verified as per my Comment 3 above.
Comment 5 Bryan Kearney 2013-06-07 13:25:09 EDT
Closing out verified bugs from 1.2. Somehow the errata tool missed them.
Comment 6 Bryan Kearney 2013-06-07 13:25:51 EDT
Closing out verified bugs from 1.2. Somehow the errata tool missed them.

Note You need to log in before you can comment on or make changes to this bug.